﻿#include "ApiFilter.h"

using namespace drogon;

ApiFilter::ApiFilter() {}

void ApiFilter::doFilter(const HttpRequestPtr &req,
                         FilterCallback &&fcb,
                         FilterChainCallback &&fccb)
{
    // 简单的API密钥验证
    auto apiKey = req->getHeader("X-API-KEY");
    if (apiKey.empty() || apiKey != "secret-key")
    {
        auto resp = HttpResponse::newHttpResponse();
        resp->setStatusCode(k401Unauthorized);
        resp->setBody("Unauthorized: Invalid API Key");
        fcb(resp);
        return;
    }

    // 通过验证，继续处理
    fccb();
};