import 'package:shared_preferences/shared_preferences.dart';
import 'package:win_text_editor/framework/controllers/logger.dart';

class FilePathManager {
  static const String _lastOpenedFolderKey = 'last_opened_folder';

  // 保存上次打开的文件夹路径
  static Future<void> saveLastOpenedFolder(String folderPath) async {
    final prefs = await SharedPreferences.getInstance();
    await prefs.setString(_lastOpenedFolderKey, folderPath);
    Logger().info("保存最新打开的文件夹地址：$folderPath");
  }

  // 读取上次打开的文件夹路径
  static Future<String?> getLastOpenedFolder() async {
    final prefs = await SharedPreferences.getInstance();
    final folderPath = prefs.getString(_lastOpenedFolderKey);
    Logger().info("加载最后保存的文件夹地址：$folderPath");
    return folderPath;
  }
}
