// xml_rule.dart
class XmlRule {
  final String nodePath;
  final String attributeName;
  final bool isFirstOccurrence;
  final String? namespacePrefix;

  final bool isDuplicatesOnly;

  XmlRule({
    required this.nodePath,
    required this.attributeName,
    this.isFirstOccurrence = false,
    this.namespacePrefix,
    required this.isDuplicatesOnly,
  });

  String toxPath() {
    return '${namespacePrefix != null ? '$namespacePrefix:' : ''}$nodePath${isFirstOccurrence ? '[0]' : ''}/${attributeName.isNotEmpty ? '@$attributeName' : 'text()'}';
  }
}
