class SearchResult {
  final int rowNum;
  final String attributeValue;
  int index = 0;
  bool isSelected;

  SearchResult({
    required this.rowNum,
    required this.attributeValue,
    this.index = 0,
    this.isSelected = false,
  });

  // 必须正确实现equals和hashCode
  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is SearchResult &&
          runtimeType == other.runtimeType &&
          rowNum == other.rowNum &&
          attributeValue == other.attributeValue &&
          index == other.index &&
          isSelected == other.isSelected;

  @override
  int get hashCode =>
      rowNum.hashCode ^ attributeValue.hashCode ^ index.hashCode ^ isSelected.hashCode;
}
