import 'package:flutter/material.dart';
import 'package:syncfusion_flutter_datagrid/datagrid.dart';

class MyGridColumn extends GridColumn {
  MyGridColumn({
    required String columnName,
    double minimumWidth = 100,
    double maximumWidth = double.infinity,
    required String label,
  }) : super(
         columnName: columnName,
         minimumWidth: minimumWidth,
         maximumWidth: maximumWidth,
         label: Container(
           alignment: Alignment.center,
           color: Colors.grey[200],
           padding: const EdgeInsets.all(2.0),
           child: Text(label, style: const TextStyle(fontWeight: FontWeight.normal)),
         ),
       );
}

class ShortGridColumn extends GridColumn {
  ShortGridColumn({
    required String columnName,
    double width = 60,
    required String label,
    bool allowEditing = false,
  }) : super(
         columnName: columnName,
         width: width,
         label: Container(
           alignment: Alignment.center,
           color: Colors.grey[200],
           padding: const EdgeInsets.all(2.0),
           child: Text(label, style: const TextStyle(fontWeight: FontWeight.normal)),
         ),
         allowEditing: allowEditing,
       );
}
