import 'package:flutter/material.dart';
import 'package:pluto_grid/pluto_grid.dart';

class MyPlutoColumn extends PlutoColumn {
  MyPlutoColumn({
    required String title,
    required String field,
    dynamic type,
    double width = 80,
    bool editable = false,
    bool enableRowChecked = false,
    bool enableSorting = false,
    bool autoSize = false,
    Widget Function(PlutoColumnRendererContext)? renderer,
    PlutoColumnTextAlign textAlign = PlutoColumnTextAlign.start,
  }) : super(
         title: title,
         field: field,
         type: type ?? PlutoColumnType.text(defaultValue: ''),
         width: width,
         enableRowChecked: enableRowChecked,
         enableContextMenu: false,
         enableEditingMode: editable,
         enableSorting: enableSorting,
         readOnly: true,
         backgroundColor: Colors.grey[100],
         textAlign: textAlign,
         titleTextAlign: PlutoColumnTextAlign.center,
         suppressedAutoSize: !autoSize,
         renderer: renderer,
       );
}
