import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:pluto_grid/pluto_grid.dart';

class MyPlutoGridConfiguration extends PlutoGridConfiguration {
  MyPlutoGridConfiguration()
    : super(
        style: PlutoGridStyleConfig(
          rowHeight: 32,
          columnHeight: 32,
          iconColor: Colors.transparent,
          gridBorderRadius: BorderRadius.zero,
          enableGridBorderShadow: true,
          gridBorderColor: Colors.grey,
          activatedColor: Colors.blue[200]!,
          activatedBorderColor: Colors.grey!,
          inactivatedBorderColor: Colors.grey,
          gridBackgroundColor: Colors.white,
          cellColorInEditState: Colors.white,
          defaultCellPadding: const EdgeInsets.all(8),
          cellTextStyle: const TextStyle(color: Colors.black),
          columnTextStyle: const TextStyle(
            color: Colors.black,
            fontSize: 14,
            fontWeight: FontWeight.normal,
          ),
        ),
        columnSize: const PlutoGridColumnSizeConfig(
          autoSizeMode: PlutoAutoSizeMode.scale,
          resizeMode: PlutoResizeMode.pushAndPull,
        ),
      );
}
