import 'package:flutter/material.dart';
import 'package:win_text_editor/shared/base/my_sf_data_grid.dart';
import 'package:win_text_editor/shared/components/my_grid_column.dart';
import 'package:win_text_editor/shared/models/std_filed.dart';
import 'package:win_text_editor/shared/uft_std_fields/field_data_source.dart';

class FieldsDataGrid extends StatelessWidget {
  final FieldsDataSource fieldsSource;
  final Function(int index, bool isSelected)? onSelectionChanged;

  const FieldsDataGrid({super.key, required this.fieldsSource, this.onSelectionChanged});

  @override
  Widget build(BuildContext context) {
    return MySfDataGrid<Field>(
      source: fieldsSource,
      onSelectionChanged: onSelectionChanged,
      selectable: true,
      columns: [
        ShortGridColumn(columnName: 'id', label: '序号'),
        MyGridColumn(columnName: 'name', label: '名称', minimumWidth: 120),
        MyGridColumn(columnName: 'chineseName', label: '中文名', minimumWidth: 120),
        MyGridColumn(columnName: 'type', label: '类型', minimumWidth: 120),
      ],
    );
  }
}
